* {
	box-sizing: border-box;
}

body,
html {
	margin: 0;
	padding: 0;
	width: 100%;
	height: 100%;
	overflow: hidden;
	background-color: #000;
	font-family: "Uniform Rounded Condensed", sans-serif;
}
canvas {
	position: fixed;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	z-index: 1;
}

html.is-mobile body {
	background-image: url("./full-bg-1.jpg");
	background-size: cover;
	background-position: center top;
	background-attachment: fixed;
}

html.is-mobile canvas {
	display: none;
}

.content-container {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	width: 100%;
	height: 50vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	pointer-events: none;
	.content {
		position: relative;
		z-index: 2;
		color: white;
		text-align: center;
		text-shadow: 0px 4px 15px #000;

		.logo {
			width: 600px;
			filter: drop-shadow(3px 5px 5px #000);
            
            max-width: 80vw;

            @media only screen and (max-width: 700px) {
            }
		}
	}
}

.menu {
	z-index: 2;
	position: absolute;
	top: 20px;
	left: 20px;
	color: #fff;
	a {
		position: relative;
		display: block;
		width: fit-content;
		color: #fff;
		text-decoration: none;
		margin: 20px 10px;
		text-shadow: 0px 2px 6px #000;
		font-size: 28px;
		font-weight: 400;
		font-family: "Uniform Rounded Condensed", sans-serif;
		font-variant: small-caps;

		&::before {
			content: "";
			position: absolute;
			width: 100%;
			height: 1.5px;
			border-radius: 4px;
			background-color: #fff;
			bottom: 0;
			left: 0;
			transform-origin: right;
			transform: scaleX(0);
			transition: transform 0.3s ease-in-out;
		}

		&:hover::before {
			transform-origin: left;
			transform: scaleX(1);
		}
	}
}

.is-mobile .menu {
    position: absolute;
    left: 0;
    right: 0;
    top: auto;
    bottom: 10px;
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    a {
        margin: 10px 10px;
    }
}